# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(Devel/Peek.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(POSIX.pm) perl(Pod/Simple/HTML.pm) perl(Scalar/Util.pm) perl(Sub/Identify.pm) perl(Test.pm) perl(Test/MockTime.pm) perl(Test/More.pm) perl(Time/Fake.pm) perl(Time/HiRes.pm) perl(Time/Local.pm) perl(Time/Mock.pm) perl(Time/Warp.pm) perl(base.pm) perl(Date/Calc.pm)
# END SourceDeps(oneline)
%define module_version 6
%define module_name Test-MockTime-DateCalc
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 6
Release: alt1
Summary: Fake date/time for Date::Calc functions.
Group: Development/Perl
License: perl
URL: http://user42.tuxfamily.org/test-mocktime-datecalc/index.html

Source0: http://cpan.org.ua/authors/id/K/KR/KRYDE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
`Test::MockTime::DateCalc' arranges for the functions in `Date::Calc' to.follow the Perl level `time' function (see the perlfunc manpage) and in particular
any fake date/time set there by `Test::MockTime'.  The following
`Date::Calc' functions are changed

    System_Clock
    Today
    Now
    Today_and_Now
    This_Year

    Gmtime
    Localtime
    Timezone
    Time_to_Date

`Gmtime', `Localtime', `Timezone' and `Time_to_Date' are made to default
to the Perl-level current `time'.  When called with an explicit time
argument they're unchanged.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYING Changes
%perl_vendor_privlib/T*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 6-alt1
- initial import by package builder

